#! /bin/bash

set -eux

# Build liquid-dsp
if ! [ -d liquid-dsp ]; then
git clone https://github.com/jgaeddert/liquid-dsp
pushd liquid-dsp
    ./bootstrap.sh
    CFLAGS="-march=native -O3" ./configure --enable-fftoverride
    make -j
    sudo make install
    sudo ldconfig
popd
fi